#ifndef POINT_H
#define POINT_H

#include <cmath>
#include <iostream>

namespace geometry_msgs
{

struct Point
{
    double x;
    double y;
    double z;

    // Constructor mặc định
    Point() : x(0.0), y(0.0), z(0.0) {}

    // Constructor khởi tạo nhanh
    Point(double x_, double y_, double z_ = 0.0)
        : x(x_), y(y_), z(z_) {}
};

} // namespace geometry_msgs

#endif // POINT_H